## poppler 0.16.7-2ubuntu2+5.0trisquel1

=== debian/changelog ===
poppler (0.16.7-2ubuntu2+5.0trisquel1) dagda; urgency=low

  * Poppler backported, closes #4238

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 09 Dec 2011 00:54:33 +0000

poppler (0.16.7-2ubuntu2) oneiric; urgency=low

  * debian/patches/15_output-tiling-patterns-issuing-PS-patterns.patch,
    debian/patches/17_dont-use-patterns-when-only-one-instance-is-used.patch:
    Backported upstream patch to use PostScript Patterns for tiling fill when
    output PostScript level >= 2 and to avoid using /PatternType if only one
    instance of the pattern is used. This should fix LP: #817049.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 19 Aug 2011 15:10:18 +0200

poppler (0.16.7-2ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental. Remaining Ubuntu changes:
  * debian/control: 
    - Lower poppler-data to Suggests: (handled by language-selector).
  * debian/control, 
    debian/rules: 
    - disable OpenJPEG, it's in universe.
  * debian/patches/10_fix-a4-page-shift-on-brother-ps-printers.patch: 
    - Fix page shifts when printing on A4 paper with Brother PostScript printers.
      (LP #293832)
  * debian/patches/11_set-font-weight-medium.patch: added
    - set FC_WEIGHT_MEDIUM when the font name contains "Medium", LP: #769827

 -- Sebastien Bacher <seb128@debian.org>  Tue, 05 Apr 2011 16:23:40 +0200
