=== debian/changelog ===
poppler (0.18.4-1ubuntu3) precise-proposed; urgency=low

  * debian/patches/git_no_buggy_check.patch:
    "Don't do a check for sanity that then we don't use" (lp: #1020162)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 04 Dec 2012 19:39:07 +0100

poppler (0.18.4-1ubuntu2) precise; urgency=low

  * debian/control: Add back libfontconfig1-dev dependency to libpoppler-dev
    for the time being, to avoid introducing FTBFS at this point. This will be
    dropped again later on when all reverse dependencies have their build deps
    fixed. Thanks Pino Toscano for pointing this out!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 27 Feb 2012 08:56:28 +0100

poppler (0.18.4-1ubuntu1) precise; urgency=low

  * Merge with Debian experimental to get in sync with current Debian
    packaging. Remaining Ubuntu changes:
    - debian/control: Lower poppler-data to Suggests:. Too big for CD images,
      handled by language-selector.
    - debian/control: Drop libopenjpeg-dev build depends, it's in universe.
    - 10_fix-a4-page-shift-on-brother-ps-printers.patch,
      git_test_rotation.patch: See patch headers.
    - Use LCMS 2 instead of deprecated 1: (LP #885324)
      o Add poppler-lcm2.patch
      o debian/control: Build-depend on liblcms2-dev instead.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Feb 2012 15:04:08 +0100

poppler (0.18.4-1) experimental; urgency=low

  * New upstream release.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Feb 2012 20:22:17 +0100

poppler (0.18.3-1) experimental; urgency=low

  * New upstream release: (Closes: #644447)
    - fixes rendering of Porirua City overview map. (Closes: #443547)
    - shows the names of unknown fonts. (Closes: #524323)
  * Rename packages according to the new SONAMEs:
    - libpoppler13 -> libpoppler19
    - libpoppler-glib6 -> libpoppler-glib8
  * Bump shlibs for libpoppler-glib8 and libpoppler-qt4-3.
  * debian/patches:
    - ltmain-as-needed.diff: refresh
  * Update copyright.
  * Update configure arguments:
    - Remove: --disable-poppler-qt, --disable-abiword-output
  * Drop test-poppler-glib from libpoppler-glib-dev, as it does not exist
    anymore.
  * Update build dependencies, dependencies and suggests:
    - Switch liblcms-dev to liblcms1-dev, to make it explicit lcms 1 is used.
    - Add libtiff-dev (for TIFF support).
    - Remove the gnome-pkg-tools B-D, unused.
    - libpoppler-dev: remove libfontconfig1-dev.
    - libpoppler-private-dev: suggest packages containing headers included in
      barely used private poppler core headers: libfreetype6-dev,
      libopenjpeg-dev, libpng-dev, libtiff-dev. (Closes: #646688)
    - libpoppler-glib-dev: remove libgtk2.0-dev.
  * Enable the GObject introspection support (Closes: #617604):
    - Add libgirepository1.0-dev and gobject-introspection build dependencies.
    - Add a new package gir1.2-poppler-0.18, and make libpoppler-glib-dev
      depend on it.
    - Enable the introspection in configure arguments.
  * Improve description of poppler-utils, also including the new tools
    (pdfseparate, pdftocairo, pdfunite).
  * Convert convert to the `dh' sequencer:
    - Drop cdbs build dependency.
    - Bump debhelper build dependency to 7.0.50.
    - Make use of the gir dh addon.
    - Enable parallel build support.
  * Remove ${shlibs:Depends} from poppler-dbg.
  * Install the upstream ChangeLog only in the libpopplerN package.
  * Convert to multi-arch:
    - Bump debhelper build dependency to 8.9.0.
    - Bump compat to 9.
    - Add dpkg build dependency to 1.16.1.
    - libpoppler19, libpoppler-glib8, libpoppler-qt4-3, libpoppler-cpp0:
      mark "Multi-Arch: same", and add Pre-Depends.
    - poppler-utils: mark "Multi-Arch: foreign".
    - Fix (using wildcard) library paths in .install files, taking care of
      installing the gir .typelib file in a non-multi-arch path.
  * Use DEB_LDFLAGS_MAINT_APPEND in rules to properly append custom LDFLAGS.
    (Closes: #651968)
  * Make the build verbose (V=1).

 -- Pino Toscano <pino@debian.org>  Sun, 12 Feb 2012 22:49:35 +0100
