=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: poppler
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
 Uploaders: Josselin Mouette <joss@debian.org>,
            Dave Beckett <dajobe@debian.org>,
            Ross Burton <ross@debian.org>,
-           Pino Toscano <pino@kde.org>
-Build-Depends: cdbs (>= 0.4.52),
-               debhelper (>= 7),
+           Pino Toscano <pino@debian.org>
+Build-Depends: debhelper (>= 8.9.0),
+               dpkg (>= 1.16.1),
                autotools-dev,
-               gnome-pkg-tools,
                libglib2.0-dev (>= 2.18),
                libgtk2.0-dev (>= 2.12),
                libfontconfig1-dev,
@@ -18,17 +17,24 @@
                libcairo2-dev (>= 1.10.0),
                libjpeg-dev,
                libpng-dev,
-               liblcms-dev,
+               libtiff-dev,
+               liblcms2-dev,
                libfreetype6-dev,
                gtk-doc-tools (>= 1.14),
                pkg-config (>= 0.18),
+               libgirepository1.0-dev (>= 1.31.0-2~),
+               gobject-introspection (>= 1.31.0-2~),
                libglib2.0-doc
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://poppler.freedesktop.org/
-
-Package: libpoppler13
-Architecture: any
-Section: libs
+Vcs-Git: git://git.debian.org/pkg-freedesktop/poppler.git
+Vcs-Browser: http://git.debian.org/?p=pkg-freedesktop/poppler.git
+
+Package: libpoppler19
+Architecture: any
+Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: poppler-data
@@ -40,19 +46,38 @@
 Package: libpoppler-dev
 Architecture: any
 Section: libdevel
-Depends: libpoppler13 (= ${binary:Version}),
-         libfontconfig1-dev,
-         ${shlibs:Depends},
-         ${misc:Depends}
+Depends: libpoppler19 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         libfontconfig1-dev
 Description: PDF rendering library -- development files
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
  This package contains the headers and development libraries needed to
  build applications using Poppler.
 
-Package: libpoppler-glib6
-Architecture: any
-Section: libs
+Package: libpoppler-private-dev
+Architecture: any
+Section: libdevel
+Depends: libpoppler-dev (= ${binary:Version}),
+         ${misc:Depends}
+Suggests: libfreetype6-dev,
+          libopenjpeg-dev,
+          libpng-dev,
+          libtiff-dev
+Description: PDF rendering library -- private development files
+ Poppler is a PDF rendering library based on Xpdf PDF viewer.
+ .
+ This package contains the private and unstable headers needed to build
+ applications using the private Poppler core library.
+ (At the moment this package is empty, allowing the migration of sources
+ to this package instead of libpoppler-dev.)
+
+Package: libpoppler-glib8
+Architecture: any
+Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library (GLib-based shared library)
@@ -64,11 +89,11 @@
 Package: libpoppler-glib-dev
 Architecture: any
 Section: libdevel
-Depends: libpoppler-glib6 (= ${binary:Version}),
+Depends: libpoppler-glib8 (= ${binary:Version}),
          libpoppler-dev (= ${binary:Version}),
+         gir1.2-poppler-0.18 (= ${binary:Version}),
          libglib2.0-dev (>= 2.18),
          libcairo2-dev (>= 1.10.0),
-         libgtk2.0-dev,
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library -- development files (GLib interface)
@@ -77,9 +102,25 @@
  This package contains the headers and development libraries needed to
  build applications using the GLib-based Poppler interface.
 
+Package: gir1.2-poppler-0.18
+Architecture: any
+Section: introspection
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${gir:Depends}
+Description: GObject introspection data for poppler-glib
+ Poppler is a PDF rendering library based on Xpdf PDF viewer.
+ .
+ This package contains introspection data for poppler-glib.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+
 Package: libpoppler-qt4-3
 Architecture: any
 Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library (Qt 4 based shared library)
@@ -105,6 +146,8 @@
 Package: libpoppler-cpp0
 Architecture: any
 Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library (CPP shared library)
@@ -129,12 +172,13 @@
 Package: poppler-utils
 Architecture: any
 Section: utils
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ghostscript
-Conflicts: xpdf-utils (<= 3.02-2),
-           pdftohtml (<< 0.36-14)
-Replaces: xpdf-utils,
+Breaks: xpdf-utils (<< 3.02-2~)
+Conflicts: pdftohtml
+Replaces: xpdf-utils (<< 3.02-2~),
           pdftohtml,
           xpdf-reader
 Provides: xpdf-utils,
@@ -143,22 +187,25 @@
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
  This package contains command line utilities (based on Poppler) for getting
- information of PDF documents or convert them to other formats:
+ information of PDF documents, convert them to other formats, or manipulate
+ them:
   * pdffonts -- font analyzer
   * pdfimages -- image extractor
   * pdfinfo -- document information
+  * pdfseparate -- page extraction tool
+  * pdftocairo -- PDF to PNG/JPEG/PDF/PS/EPS/SVG converter using Cairo
   * pdftohtml -- PDF to HTML converter
   * pdftoppm -- PDF to PPM/PNG/JPEG image converter
   * pdftops -- PDF to PostScript (PS) converter
   * pdftotext -- text extraction
+  * pdfunite -- document merging tool
 
 Package: poppler-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
-         libpoppler13 (= ${binary:Version}),
-         ${shlibs:Depends}
+         libpoppler19 (= ${binary:Version})
 Description: PDF rendering library -- debugging symbols
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
