=== debian/watch ===
version=3
http://poppler.freedesktop.org/ poppler-([0-9.]*)\.tar\.gz debian uupdate
